# Type Alias WidgetCheckListContentArrForFront

type WidgetCheckListContentArrForFront = {
id?: number;
links?: jHref[];
mimetype?: string;
text: string;
uri?: string;
user?: jUserLittle;
value?: boolean;
}

- Defined in jamespot-user-api/src/types/widgets.ts:107

##### Index

### Properties

id?
links?
mimetype?
text
uri?
user?
value?

## Properties

### `Optional` id

id?: number

- Defined in jamespot-user-api/src/types/widgets.ts:113

### `Optional` links

links?: jHref[]

- Defined in jamespot-user-api/src/types/widgets.ts:110

### `Optional` mimetype

mimetype?: string

- Defined in jamespot-user-api/src/types/widgets.ts:112

### text

text: string

- Defined in jamespot-user-api/src/types/widgets.ts:108

### `Optional` uri

uri?: string

- Defined in jamespot-user-api/src/types/widgets.ts:111

### `Optional` user

user?: jUserLittle

- Defined in jamespot-user-api/src/types/widgets.ts:114

### `Optional` value

value?: boolean

- Defined in jamespot-user-api/src/types/widgets.ts:109